---
title: String.prototype.italics()
slug: Web/JavaScript/Reference/Global_Objects/String/italics
tags:
  - Deprecated
  - HTML wrapper methods
  - JavaScript
  - Method
  - Prototype
  - String
---
<div>{{JSRef}} {{deprecated_header}}</div>

<p>The <strong><code>italics()</code></strong> method creates an {{HTMLElement("i")}} HTML element that causes a string to be italic.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>str</var>.italics()</pre>

<h3 id="Return_value">Return value</h3>

<p>A string containing a {{HTMLElement("i")}} HTML element.</p>

<h2 id="Description">Description</h2>

<p>The <code>italics()</code> method embeds a string in an <code>&lt;i&gt;</code> element: "<code>&lt;i&gt;str&lt;/i&gt;</code>".</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_italics">Using italics()</h3>

<p>The following example uses string methods to change the formatting of a string:</p>

<pre class="brush: js notranslate">var worldString = 'Hello, world';
console.log(worldString.blink());  // &lt;blink&gt;Hello, world&lt;/blink&gt;
console.log(worldString.bold());  // &lt;b&gt;Hello, world&lt;/b&gt;
console.log(worldString.italics()); // &lt;i&gt;Hello, world&lt;/i&gt;
console.log(worldString.strike());  // &lt;strike&gt;Hello, world&lt;/strike&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.italics', 'String.prototype.italics')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.String.italics")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("String.prototype.blink()")}}</li>
 <li>{{jsxref("String.prototype.bold()")}}</li>
 <li>{{jsxref("String.prototype.strike()")}}</li>
</ul>
